// rollup.config.js
import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { dts } from 'rollup-plugin-dts';
import replace from '@rollup/plugin-replace';

/**
 * @type {import('rollup').RollupOptions}
 */
export default [
  {
    input: 'src/index.ts',
    output: {
      file: 'dist/tab-leader.js',
      format: 'es',
    },
    plugins: [
      replace({
        preventAssignment: true, // 必须设置为 true
        delimiters: ['', ''], // 确保完全匹配
        // "import { nanoid } from 'nanoid'": "import { nanoid } from 'https://cdn.jsdelivr.net/npm/nanoid@4.0.0/nanoid.min.js'",
        '@kevisual/system-lib/dist': 'https://kevisual.xiongxiao.me/system/lib', // 将本地路径替换为远程 URL
      }),
      ,
      resolve({ browser: true }),
      commonjs(),
      typescript(),
    ],
    external: [
      'nanoid',
      //
      // '@kevisual/router/browser',
    ],
  },
  {
    input: 'src/index.ts',
    output: {
      file: 'dist/tab-leader.d.ts',
      format: 'es',
    },
    plugins: [dts()],
  },
];
